components:
  schemas:
    HostInterface_v1_2_5_Actions:
      additionalProperties: false
      description: The available actions for this resource.
      properties:
        Oem:
          $ref: '#/components/schemas/HostInterface_v1_2_5_OemActions'
          description: The available OEM-specific actions for this resource.
          x-longDescription: This property shall contain the available OEM-specific
            actions for this resource.
          x-versionAdded: v1_1_0
      type: object
      x-longDescription: This type shall contain the available actions for this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    HostInterface_v1_2_5_AuthenticationMode:
      enum:
      - AuthNone
      - BasicAuth
      - RedfishSessionAuth
      - OemAuth
      type: string
      x-enumDescriptions:
        AuthNone: Requests without any sort of authentication are allowed.
        BasicAuth: Requests using HTTP Basic authentication are allowed.
        OemAuth: Requests using OEM authentication mechanisms are allowed.
        RedfishSessionAuth: Requests using Redfish session authentication are allowed.
    HostInterface_v1_2_5_HostInterface:
      additionalProperties: false
      description: The `HostInterface` schema contains properties associated with
        a Redfish host interface.  A Redfish host interface is a connection between
        host software and a Redfish service.
      properties:
        '@odata.context':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_context
        '@odata.etag':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_etag
        '@odata.id':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_id
        '@odata.type':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_type
        Actions:
          $ref: '#/components/schemas/HostInterface_v1_2_5_Actions'
          description: The available actions for this resource.
          x-longDescription: This property shall contain the available actions for
            this resource.
          x-versionAdded: v1_1_0
        AuthNoneRoleId:
          description: The role when no authentication on this interface is used.
          readOnly: false
          type: string
          x-longDescription: This property shall contain the `Id` property of the
            `Role` resource that is used when no authentication on this interface
            is performed.  This property shall be absent if `AuthNone` is not supported
            by the service for the `AuthenticationModes` property.
          x-versionAdded: v1_2_0
        AuthenticationModes:
          description: The authentication modes available on this interface.
          items:
            $ref: '#/components/schemas/HostInterface_v1_2_5_AuthenticationMode'
          readOnly: false
          type: array
          x-longDescription: This property shall contain an array consisting of the
            authentication modes allowed on this interface.
        Description:
          oneOf:
          - $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Description
          - enum:
            - null
          readOnly: true
        ExternallyAccessible:
          description: An indication of whether external entities can access this
            interface.  External entities are non-host entities.  For example, if
            the host and manager are connected through a switch and the switch also
            exposes an external port on the system, external clients can also use
            the interface, and this property value is `true`.
          nullable: true
          readOnly: true
          type: boolean
          x-longDescription: This property shall indicate whether external entities
            can access this interface.  External entities are non-host entities.  For
            example, if the host and manager are connected through a switch and the
            switch also exposes an external port on the system, external clients can
            also use the interface, and this property value is `true`.
        FirmwareAuthEnabled:
          description: An indication of whether this firmware authentication is enabled
            for this interface.
          nullable: true
          readOnly: false
          type: boolean
          x-longDescription: This property shall indicate whether firmware authentication
            is enabled for this interface.
        FirmwareAuthRoleId:
          description: The Redfish role used for firmware authentication on this interface.
          readOnly: false
          type: string
          x-longDescription: This property shall contain the `Id` property of the
            `Role` resource that is configured for firmware authentication on this
            interface.
        HostEthernetInterfaces:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          description: A link to the collection of network interface controllers or
            cards (NICs) that a computer system uses to communicate with this host
            interface.
          readOnly: true
          x-longDescription: This property shall contain a link to a resource collection
            of type `EthernetInterfaceCollection` that computer systems use as the
            host interface to this manager.
        HostInterfaceType:
          description: The host interface type for this interface.
          oneOf:
          - $ref: '#/components/schemas/HostInterface_v1_2_5_HostInterfaceType'
          - enum:
            - null
          readOnly: true
          x-longDescription: This property shall contain the host interface type for
            this interface.
        Id:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Id
          readOnly: true
        InterfaceEnabled:
          description: An indication of whether this interface is enabled.
          nullable: true
          readOnly: false
          type: boolean
          x-longDescription: This property shall indicate whether this interface is
            enabled.  Modifying this property may modify the `InterfaceEnabled` property
            in the `EthernetInterface` resource for this host interface.
        KernelAuthEnabled:
          description: An indication of whether this kernel authentication is enabled
            for this interface.
          nullable: true
          readOnly: false
          type: boolean
          x-longDescription: This property shall indicate whether kernel authentication
            is enabled for this interface.
        KernelAuthRoleId:
          description: The Redfish role used for kernel authentication on this interface.
          readOnly: false
          type: string
          x-longDescription: This property shall contain the `Id` property of the
            `Role` resource that is configured for kernel authentication on this interface.
        Links:
          $ref: '#/components/schemas/HostInterface_v1_2_5_Links'
          description: The links to other resources that are related to this resource.
          x-longDescription: This property shall contain links to resources that are
            related to but are not contained by, or subordinate to, this resource.
        ManagerEthernetInterface:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          description: A link to a single network interface controllers or cards (NIC)
            that this manager uses for network communication with this host interface.
          readOnly: true
          x-longDescription: This property shall contain a link to a resource of type
            `EthernetInterface` that represents the network interface that this manager
            uses as the host interface.
        Name:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Name
          readOnly: true
        NetworkProtocol:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          description: A link to the network services and their settings that the
            manager controls.  In this property, clients find configuration options
            for the network and network services.
          readOnly: true
          x-longDescription: This property shall contain a link to a resource of type
            `ManagerNetworkProtocol` that represents the network services for this
            manager.
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: The OEM extension property.
          x-longDescription: This property shall contain the OEM extensions.  All
            values for properties that this object contains shall conform to the Redfish
            Specification-described requirements.
        Status:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Status
          description: The status and health of the resource and its subordinate or
            dependent resources.
          x-longDescription: This property shall contain any status or health properties
            of the resource.
      required:
      - '@odata.id'
      - '@odata.type'
      - Id
      - Name
      type: object
      x-longDescription: This resource shall represent a Redfish host interface as
        part of the Redfish Specification.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    HostInterface_v1_2_5_HostInterfaceType:
      enum:
      - NetworkHostInterface
      type: string
      x-enumDescriptions:
        NetworkHostInterface: This interface is a network host interface.
    HostInterface_v1_2_5_Links:
      additionalProperties: false
      description: The links to other resources that are related to this resource.
      properties:
        AuthNoneRole:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          description: The link to the Redfish role that contains the privileges on
            this host interface when no authentication is performed.
          readOnly: true
          x-longDescription: This property shall contain a link to a resource of type
            `Role`, and should link to the resource identified by property `AuthNoneRoleId`.  This
            property shall be absent if `AuthNone` is not supported by the service
            for the `AuthenticationModes` property.
          x-versionAdded: v1_2_0
        ComputerSystems:
          description: An array of links to the computer systems connected to this
            host interface.
          items:
            $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          readOnly: true
          type: array
          x-longDescription: This property shall contain an array of links to resources
            of type `ComputerSystem` that are connected to this host interface.
        ComputerSystems@odata.count:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_count
        FirmwareAuthRole:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          description: The link to the Redfish role that has firmware authentication
            privileges on this host interface.
          readOnly: true
          x-longDescription: This property shall contain a link to a resource of type
            `Role`, and should link to the resource identified by property `FirmwareAuthRoleId`.
        KernelAuthRole:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          description: The link to the Redfish role defining privileges for this host
            interface when using kernel authentication.
          readOnly: true
          x-longDescription: This property shall contain a link to a resource of type
            `Role`, and should link to the resource identified by property `KernelAuthRoleId`.
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: The OEM extension property.
          x-longDescription: This property shall contain the OEM extensions.  All
            values for properties contained in this object shall conform to the Redfish
            Specification-described requirements.
      type: object
      x-longDescription: This Redfish Specification-described type shall contain links
        to resources that are related to but are not contained by, or subordinate
        to, this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    HostInterface_v1_2_5_OemActions:
      additionalProperties: true
      description: The available OEM-specific actions for this resource.
      properties: {}
      type: object
      x-longDescription: This type shall contain the available OEM-specific actions
        for this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
title: '#HostInterface.v1_2_5.HostInterface'
x-copyright: Copyright 2014-2024 DMTF. For the full DMTF copyright policy, see http://www.dmtf.org/about/policies/copyright
x-language: en
x-owningEntity: DMTF
x-release: '2018.2'
